Subject: Re: WindowList SortClassName (take 3)

From: Mikhael Goikhman <[email-masked]>
Date: Thu, 24 Oct 2002 05:32:26 +0000

On 25 Jun 2002 21:40:12 -0500, David Fries wrote:
> 
> On Mon, Jun 24, 2002 at 02:33:01PM +0000, Mikhael Goikhman wrote:
> > On 23 Jun 2002 22:47:57 -0500, David Fries wrote:
> > > I see in the WindowList function there is a mix between defining a
> > > custom 'Bool' variable and using the flags with a bit mask.  Any
> > > feelings on standardizing on one or the other?  We do only have 16
> > > bits left.
> > 
> > We do not have WindowList maintainer, everyone adds what he wants. :)
> > If you may verify that your changes do not break anything, feel free to
> > improve the rest of the code. If you have a time you may also synchronize
> > window lists in FvwmWinList and FvwmGtk as well. Thank you.
> 
> When windowlist.c gets in the cvs tree I'll try taking a look at the
> others.
> 
> > Can you post another patch against cvs, this time including the man page
> > description?
> 
> How's this?

David,

You posted a patch in Juny adding SortClassName option to WindowList.
I added a new option (should be in cvs soon) SortByResource that is a
powerful version of SortClassName, i.e. it takes first resource class and
then resource name (and not just the first). Then as usual it takes the
window or icon name if the resource is the same. The question is this.

Should I remove SortClassName option since we now have SortByResource?
Or you wish to have SortClassName as it is now?

Regards,
Mikhael.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Fri, 25 Oct 2002 17:48:54 +0000

On 25 Oct 2002 12:33:02 -0500, David Fries wrote:
> 
> Fvwm ident labels them as Class: and Resource: right? After thinking
> about it for a bit I would rather have SortClassName still be
> included.  I would like to have the windows of an application sorted
> without reguard to which kind of a window it is, so I would like to
> keep that option around.

I don't see where SortClassName would be better than SortBuResource, but
let's have 2 if you need this. I just think, the first should be renamed
to SortByClass.

> While you are looking into the WindowList, there is the gtk windowlist
> function that I didn't modify, I only modified the standard version.
> I don't know if you want to take the time to add the options to it, I
> just wanted to make sure you were aware the code exists.

Hmm, is not it me who asked you to take a look at the others (below)
when you replied "ok, maybe"? :) We still need a maintainer.

> On Thu, Oct 24, 2002 at 05:32:26AM +0000, Mikhael Goikhman wrote:
> > > > > I see in the WindowList function there is a mix between defining
> > > > > a custom 'Bool' variable and using the flags with a bit mask. 
> > > > > Any feelings on standardizing on one or the other?  We do only
> > > > > have 16 bits left.
> > > > 
> > > > We do not have WindowList maintainer, everyone adds what he wants.
> > > > :) If you may verify that your changes do not break anything, feel
> > > > free to improve the rest of the code. If you have a time you may
> > > > also synchronize window lists in FvwmWinList and FvwmGtk as well.
> > > > Thank you.
> > > 
> > > > Can you post another patch against cvs, this time including the
> > > > man page description?
> > > 
> > > How's this?
> > 
> > David,
> > 

Regards,
Mikhael.